{% extends 'base.html.twig' %}

{% block title %}
    Log in!
{% endblock %}

{% block body %}
    <form method="post">
        {% if error %}
            <div class="alert alert-danger">
                {{ error.messageKey|trans(error.messageData, 'security') }}
            </div>
        {% endif %}

        {% if app.user %}
            <div class="mb-3">
                Vous etes loggé
                {{ app.user.username }}
                , 
                <a href="{{ path('app_logout') }}">
                    Logout
                </a>
            </div>
        {% endif %}
        <div class ="offset-4">
        <div class="wrapper wrapper-login wrapper-login-full p-0">
            <div class="login-aside w-50 d-flex flex-column align-items-center justify-content-center text-center bg-primary-gradient curves-shadow">

                <p class="subtitle text-white op-7">
                    TEST REC 01
                </p>
            </div>
            <div class="login-aside w-50 d-flex align-items-center justify-content-center bg-white">
                <div class="container container-login container-transparent animated fadeIn">
                    <h3 class="text-center">
                        Connexion
                    </h3>
                    <label for="inputUsername">
                        Login
                    </label>
                    <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" autocomplete="username" required autofocus>
                        <label for="inputPassword">
                            Mot de passe
                        </label>
                        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">{#
                                        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                                        See https://symfony.com/doc/current/security/remember_me.html
                                
                                        <div class="checkbox mb-3">
                                            <label>
                                                <input type="checkbox" name="_remember_me"> Remember me
                                            </label>
                                        </div>
                                    #}
                            </div>
                        </div>
                    </div>
                    <button class="btn btn-lg btn-primary" type="submit">
                        Sign in
                            
                    </button>
                </form>
            </div>
            {% endblock %}
            